<?php
/*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*/
/*                                                                                                                                               */     
/*                            !!      !!    !!!    !!!!!!!!   !!!!!!   !!!!!!  !!!!!!!!  !!!! !!!!!!!!  !!!!!!!!  !!!!!!                         */  
/*                            !!  !!  !!   !! !!   !!     !! !!    !! !!    !! !!     !!  !!  !!     !!    !!    !!    !!                        */
/*                            !!  !!  !!  !!   !!  !!     !! !!       !!       !!     !!  !!  !!     !!    !!    !!                              */
/*                            !!  !!  !! !!     !! !!!!!!!!   !!!!!!  !!       !!!!!!!!   !!  !!!!!!!!     !!     !!!!!!                         */
/*                            !!  !!  !! !!!!!!!!! !!              !! !!       !!   !!    !!  !!           !!          !!                        */ 
/*                            !!  !!  !! !!     !! !!        !!    !! !!    !! !!    !!   !!  !!           !!    !!    !!                        */ 
/*                            !!!  !!!  !!     !! !!         !!!!!!   !!!!!!  !!     !! !!!! !!           !!     !!!!!!                          */
/*                                                                                                                                               */
/*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*/
/*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*/
/*                                                        Guest Book Service v1.0                                                                */ 
/*                                                      Gtalk team : wapteams@gmail.com                                                          */ 
/*                                                      Email : support@wapscripts.info                                                          */
/*                                                     Support: support.wapscripts.info                                                          */
/*                                                     Website: www.wapscripts.info                                                              */
/*                                                         (c)Powered by WapTeams                                                                */ 
/*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*.*/
//  Note :                                                                                                                                       //
//         We Have Provided This Script Without any Charge,. So Plz Click a ADs in www.wapscripts.info per visit to keep our service alive..!!   //
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


error_reporting(0);

// the degree of compression, the options from 0 to 9
// More than 4 or 5 should not be followed in the compression gain is not, and the server load increases
$step = 5;

// Learn what types of compression supported browser
if($_SERVER['HTTP_ACCEPT_ENCODING']){
$compress = strtolower($_SERVER['HTTP_ACCEPT_ENCODING']);
}
else{
$compress = strtolower($_SERVER['HTTP_TE']);
}


// If supported deflate
if(substr_count($compress,'deflate'))
{
function compress_output_deflate($output){
global $step;
return gzdeflate($output, $step);
}

$method = 'deflate';
header('Content-Encoding: deflate');
ob_start('compress_output_deflate');
ob_implicit_flush(0);
}
// Если поддерживается gzip
elseif(substr_count($compress,'gzip'))
{
function compress_output_gzip($output){
global $step;
return gzencode($output, $step);
}

$method = 'gzip';
header('Content-Encoding: gzip');
ob_start('compress_output_gzip');
ob_implicit_flush(0);
}
// If supported by x-gzip
elseif(substr_count($compress,'x-gzip'))
{
function compress_output_x_gzip($output){
global $step;
$size = strlen($output);
$crc = crc32($output);
$output = gzcompress($output, $step);
$output = substr($output, 0, strlen($output) - 4);
return "\x1f\x8b\x08\x00\x00\x00\x00\x00".$output.pack('V',$crc).pack('V',$size);
}

$method = 'x-gzip';
header('Content-Encoding: x-gzip');
ob_start('compress_output_x_gzip');
ob_implicit_flush(0);
}


// Инфа о проценте сжатия и др.
function info_compress()
{
global $method, $step;

$contents = ob_get_contents();
// СHow many weighs original page
$in = strlen($contents);


switch($method){
default:
print 'Compression is not supported<br/>IN: '.$in;
break;

case 'deflate':
$out = strlen(gzdeflate($contents, $step));

print 'IN: '.round($in/1024,2).' kb<br/>
OUT: '.round($out/1024,2).' kb<br/>
Сжатие: '.round(100-(100/($in/$out)),1).' %<br/>
Метод: '.$method.'<br/>';
break;

case 'gzip':
$out = strlen(gzencode($contents, $step));

print 'IN: '.round($in/1024,2).' kb<br/>
OUT: '.round($out/1024,2).' kb<br/>
Сжатие: '.round(100-(100/($in/$out)),1).' %<br/>
Метод: '.$method.'<br/>';
break;

case 'x-gzip':
$out = strlen(gzcompress($contents, $step));

print 'IN: '.round($in/1024,2).' kb<br/>
OUT: '.round($out/1024,2).' kb<br/>
Сжатие: '.round(100-(100/($in/$out)),1).' %<br/>
Метод: '.$method.'<br/>';
break;
}

return;
}
?>